<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Команда</title>
  <link rel="icon" type="image/png" href="/images/logo.png">
  <link rel="stylesheet" href="/static/css/user/headerStyles.css">
  <link rel="stylesheet" href="/static/css/admin/teamStyles.css">
  <link rel="stylesheet" href="/static/css/user/footerStyles.css">
  <script th:src="@{/scripts/copyScript.js}"></script>

</head>
<body>
<header>
  <div class="container1">
    <nav class="flex-block">
      <ul>
        <li class="logo-container">
          <a th:href="@{/admin}">
            <img th:src="@{/images/logo.png}" width="80" height="80" alt="My Club Logo">
          </a>
        </li>
        <li><a th:href="@{/admin/appointment}" th:classappend="${currentPage == 'adminclub'} ? 'active' : ''">Запись</a></li>
        <li><a th:href="@{/admin/services}" th:classappend="${currentPage == 'adminservices'} ? 'active' : ''">Услуги</a></li>
        <li><a th:href="@{/admin/team}" th:classappend="${currentPage == 'adminteam'} ? 'active' : ''">Команда</a></li>
        <li><a th:href="@{/admin/contacts}" th:classappend="${currentPage == 'admincontacts'} ? 'active' : ''">Контакты</a></li>
        <li><a th:href="@{/admin/changeAdmin}" th:classappend="${currentPage == 'changeAdmin'} ? 'active' : ''">Администратор</a></li>
        <li><a th:href="@{/}">Выйти</a></li>
      </ul>
    </nav>
  </div>
</header>
<div class="services-add">
  <form th:action="@{/admin/team/add}" method="get">
    <button type="submit">Добавить</button>
  </form>
</div>
<div class="trainers-group" id="trainer">
  <div th:each="trainer: ${trainers}">
    <img th:src="@{/images/trainers/{id}.jpg(id=${trainer.id})}" width="400" height="400" alt="Trainer Image">
    <div class="trainer-text-container">
      <h2 th:text="${trainer.trainerName}">Проблемы с загрузкой</h2>
      <p>О тренере:</p>
      <span th:text="${trainer.trainerDescription}">Проблемы с загрузкой</span>
      <p class="phone-main">Телефон: <span th:text="${trainer.trainerPhone}">Проблемы с загрузкой</span></p>
      <p th:if="${trainer.trainerVkLink != null && !trainer.trainerVkLink.isEmpty()}">ВКонтакте: <a th:href="${trainer.trainerVkLink}" th:text="${trainer.trainerVkLink}" target="_blank" rel="noopener noreferrer">Проблемы с загрузкой</a></p>
      <div class="trainers-change">
      <form th:action="@{'/admin/team/delete/' + ${trainer.id}}" method="post">
        <button type="submit">Удалить</button>
      </form>
      <form th:action="@{'/admin/team/change'}" method="post">
        <button type="submit">Изменить</button>
      </form>
      </div>
      <hr>
    </div>
  </div>
</div>
</body>
</html>
